Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.pstricks
Class UserDefinedColorExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.AlternateExpression
              jpicedt.format.input.pstricks.UserDefinedColorExpression

All Implemented Interfaces:
  ExpressionConstants

public class UserDefinedColorExpression
extends AlternateExpression
implements ExpressionConstants

Parse statement defining user-colours, that is :

- \\newgray{user-def colour name}{num} (where num is a gray scale specification b/w 0 and 1)
- \\newrgbcolor{user-def-colour-name}{num1 num2 num3} (where num are numbers b/w 0 and 1)
- \\newhsbcolor{user-def-colour-name}{num1 num2 num3} (where num are numbers b/w 0 and 1)
- \\newcmykcolor{user-def-colour-name}{num1 num2 num3 num4} (where num are numbers b/w 0 and 1)

Colour names may contain letters and numbers. Spaces are NOT allowed, except as separators b/w colour numbers. New colours are then added to the pool's hashtable associated with key = PstricksParser.KEY_USER_COLOURS.

Version:
  $Id: UserDefinedColorExpression.java,v 1.4.2.1 2007/09/02 11:56:13 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`UserDefinedColorExpression(Pool pl)` Constructor for the UserDefinedColorExpression object

Method Summary
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AlternateExpression
`add, getExpressionList, interpret`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserDefinedColorExpression

    public UserDefinedColorExpression(Pool pl)

  Constructor for the UserDefinedColorExpression object

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AlternateExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org